Package wx :: Class ListView

[frames | no frames]

## Type ListView

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                      ListCtrl --+
                                 |
                                ListView

Proxy of C++ ListView class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
| `ClearColumnImage(self, col)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
| `Focus(self, index)`
long | `GetFirstSelected(self)`
long | `GetFocusedItem(self)`
long | `GetNextSelected(self, item)`
bool | `IsSelected(self, index)`
| `Select(self, n, on)`
| `SetColumnImage(self, col, image)`

Property Summary
| `FocusedItem`: See `GetFocusedItem`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=LC_REPORT, validator=DefaultValidator, name=ListCtrlNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.ListCtrl.__init__` (inherited documentation)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=LC_REPORT, validator=DefaultValidator, name=ListCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.ListCtrl.Create`

Property Details

### FocusedItem

See `GetFocusedItem`

  Get Method:
    `GetFocusedItem`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:40 2007 | http://epydoc.sf.net